##############################################################################
#
# Copyright (c) 2003 Lars Heber. All Rights Reserved.
# 
##############################################################################

from Interface import Base

class IUnifiedHtmlDocument(Base):
    """
    This implements a special HTML Document which uses standard_html_header 
    and standard_html_footer in an intelligent way so that features of both 
    (the HTML document and the header / footer), such as CSS, JavaScript etc. 
    are used.
    
    For further details please refer to README.txt.
    """
    
    def __call__(self, REQUEST):
	"Render the unified HTML document"    
    
    def getTitle(self):
	"Get the title from the <title> tag"	
    
    def document_src(self):
	"Return HTML code of the instance"
    
    def getMetaTagValue(self, name):
	"Return the value of the HTML meta tag with the given name"

    def get_size(self):
	"Return length of the HTML source"

    def editForm(self):
	"Edit Form for HTML source"	